# PromiscuousVerifier (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.transport.verification
Class PromiscuousVerifier

    java.lang.Object
      net.schmizz.sshj.transport.verification.PromiscuousVerifier

All Implemented Interfaces:
  HostKeyVerifier

    public final class PromiscuousVerifier

extends Object
implements HostKeyVerifier

Constructor Summary
`PromiscuousVerifier()`

Method Summary
`boolean` `verify(String hostname, int port, PublicKey key)` This callback is invoked when the server's host key needs to be verified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PromiscuousVerifier

    public PromiscuousVerifier()

Method Detail

### verify

    public boolean verify(String hostname,
                          int port,
                          PublicKey key)

  Description copied from interface: `HostKeyVerifier`
  This callback is invoked when the server's host key needs to be verified. The return value indicates to the caller whether the SSH connection should proceed.

  Note: host key verification is the basis for security in SSH, therefore exercise due caution in implementing!

  Specified by:
    `verify` in interface `HostKeyVerifier`
  Parameters:
    `hostname` - remote hostname
    `port` - remote port
    `key` - host key of server
  Returns:
    `true` if key is acceptable, `false` otherwise

Copyright © 2009-2011. All Rights Reserved.